%{?nodejs_find_provides_and_requires}

Name:       nodejs-semver
Version:    5.6.0
Release:    %mkrel 4
Summary:    Semantic versioner for npm
License:    BSD
Group:      Development/Other
URL:        https://github.com/isaacs/node-semver
Source0:    https://registry.npmjs.org/semver/-/semver-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
The semantic version comparison library for the Node.js package manager (npm).

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/semver
cp -pr bin package.json semver.js %{buildroot}%{nodejs_sitelib}/semver

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/semver/bin/semver %{buildroot}%{_bindir}

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/semver
%{_bindir}/semver
%doc README.md
%license LICENSE




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 5.6.0-4.mga10
+ Revision: 2210909
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 5.6.0-3.mga9
+ Revision: 1825355
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 5.6.0-2.mga8
+ Revision: 1524152
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Tue Mar 26 2019 kekepower <kekepower> 5.6.0-1.mga7
+ Revision: 1380466
- Update to version 5.6.0

* Thu Sep 20 2018 umeabot <umeabot> 5.5.0-2.mga7
+ Revision: 1280939
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 kekepower <kekepower> 5.5.0-1.mga7
+ Revision: 1223726
- Update to version 5.5.0

* Thu May 19 2016 neoclust <neoclust> 5.1.0-2.mga6
+ Revision: 1017037
- imported package nodejs-semver

